ENDPOINT DESCRIPTION¶
OpenAPI documentation¶
A machine-friendly openAPI documentation of all Endpoints of the Sipfront API can be found under Sipfront API v2 Docs. This documentation also includes a description of all possible parameters with example values. If a parameter requires to select a certain value, a ENUM with all possible values is provided.
The related yaml file can be found here:
Important Endpoints¶
Lots of different endpoints are available in order to control all kinds of functionalities of the Sipfront platform. The next subchapters list the most important ones.
Info
Please note the relevant HTTP method before the endpoint URL.
POST /tests/scenarios/single-call¶
| Platform Scenario | Media analysis for Audio Call |
| Description | Register a called party, then launch an audio call from a calling party and measure round-trip times, jitter and packet loss of the RTP audio packets. |
POST /tests/scenarios/single-call-caller¶
| Platform Scenario | Media analysis for Audio Call - Calling Party Only |
| Description | Launch an audio call from a calling party and measure round-trip times, jitter and packet loss of the RTP audio packets. |
POST /tests/scenarios/single-call-callee¶
| Platform Scenario | Media analysis for Audio Call - Called Party Only |
| Description | Register a called party, then wait for an incoming audio call and stream an announcement to the calling party while measure round-trip times, jitter and packet loss of the RTP audio packets. |
For a full list, please refer to the machine friendly OpenAPI documentation at the beginning of this page.